Skip to main content
GET
List Promotion Tiers from Campaign

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID assigned by Voucherify.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

Response

200 - application/json

Returns a dictionary with a tiers property that contains an array of promotion tiers.

Response body schema for GET v1/promotions/{campaignId}/tiers and GET v1/promotions/tiers.

object
string
default:list

The type of the object represented by JSON. This object stores information about promotion tiers in a dictionary.

data_ref
string
default:tiers

Identifies the name of the attribute that contains the array of promotion tier objects.

tiers
Promotion Tier · object[]

Contains array of promotion tier objects.

total
integer

Total number of promotion tiers.

has_more
boolean

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request to get more records returned in the results.